%define upstream_name    CPAN-Meta-Check
%define upstream_version 0.018

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Verify requirements in a CPAN::Meta object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta) >= 2.120.920
BuildRequires: perl(CPAN::Meta::Prereqs) >= 2.132.830
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.121.0
BuildRequires: perl(Env)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Metadata) >= 1.0.23
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module verifies if requirements described in a CPAN::Meta object are
present.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Aug 29 2023 tv <tv> 0.18.0-1.mga10
+ Revision: 1980924
- update to 0.018

* Mon Jan 09 2023 tv <tv> 0.17.0-1.mga9
+ Revision: 1931781
- update to 0.017

* Sun Mar 20 2022 umeabot <umeabot> 0.14.0-4.mga9
+ Revision: 1808340
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.14.0-3.mga8
+ Revision: 1503489
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.14.0-2.mga7
+ Revision: 1281865
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.14.0-1.mga7
+ Revision: 1128430
- update to 0.014

* Sat Jun 18 2016 pterjan <pterjan> 0.12.0-3.mga6
+ Revision: 1024481
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.12.0-2.mga6
+ Revision: 968149
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.12.0-1.mga6
+ Revision: 851390
- update to 0.012

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-3.mga5
+ Revision: 749198
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-2.mga5
+ Revision: 683674
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 sander85 <sander85> 0.9.0-1.mga5
+ Revision: 638376
- update to 0.009

* Fri Feb 07 2014 sander85 <sander85> 0.8.0-1.mga5
+ Revision: 585158
- update to 0.008

* Sat Oct 19 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 531112
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 sander85 <sander85> 0.7.0-1.mga4
+ Revision: 462104
- update to 0.007

* Sat Jul 27 2013 sander85 <sander85> 0.6.0-1.mga4
+ Revision: 459066
- update to 0.006

* Mon Jun 10 2013 jquelin <jquelin> 0.5.0-1.mga4
+ Revision: 441479
- update to 0.005

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 363612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 0.4.0-1.mga3
+ Revision: 268053
- adding missing buildrequires:
- imported package perl-CPAN-Meta-Check

